Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#67 Upgrade to 0.15-11:db_get_dbvalue err: 12, Not enough space

closed
nobody
None
5
2003-12-26
2003-12-19
Mivens
No

After upgrading from 0.15.10 to 0.15.11 I have a
reproduceable error where some mails are unable to be
filtered with the error message:

bogofilter: (db) db_get_dbvalue( '{WORD}' ), err: 12,
Not enough space
where [WORD} is some word in the mail in question.

For example:
94 shaft [...local/src/bogofilter] %
bogofilter-0.15.11/src/bogofilter -v < ~/mail/bogo-test
bogofilter: (db) db_get_dbvalue( 'harbour' ), err: 12,
Not enough space
95 shaft [...local/src/bogofilter] %
bogofilter-0.15.10/src/bogofilter -v < ~/mail/bogo-test
X-Bogosity: No, tests=bogofilter, spamicity=0.192060,
version=0.15.10

The following is sysloged:

Dec 19 08:05:01 shaft bogofilter[27604]: [ID 303169
mail.info] datastore_db.c:423: (db) db_get_dbvalue(
'harbour' ), err: 12, Not enough space

96 shaft [/home/mark] % ls -l .bogofilter/
total 90720
-rw-r--r-- 1 mark other 48906240 Nov 27 14:19
goodlist.db
-rw-r--r-- 1 mark other 43925504 Dec 18 18:10
spamlist.db

Please let me know what further information I can
provide to help.

Cheers
Mark

Discussion

  • David Relson
    David Relson
    2003-12-20

    Logged In: YES
    user_id=30510

    Hi Mark,

    A wordlist entry has a key, i.e. the text token, and a value
    (which is 1, 2, or 3 uint32's, i.e. 4, 8, or 12 bytes). As
    function db_get_dbvalue() is providing a 12 byte area for
    the value, the error you're encountering should never happen.

    Odds are one of them has gotten corrupted. The first thing
    is to verify wordlist integrity. The bogofilter-faq has
    info on doing that.

    Contact me via the mailing list (bogofilter@aotto.com) or
    email (relson@users.sourceforge.net) if you need more help.

    David

     
  • Mivens
    Mivens
    2003-12-20

    Logged In: YES
    user_id=701133

    Hi Relson,

    I've done as you suggested and checked the wordlist
    integrity using db_verify. It did not come up with any
    errors. I've also tried rebuilding my wordlists using
    db_dump and db_load.

    I still get the same error when using 0.15.11 but reverting
    to 0.15.10 means the offending mails can be classified
    successfully.

    If the wordlists are corrupt, I'm not quite sure why this
    problem would only manifest itself when using 0.15.11 rather
    than 0.15.10?

    Please let me know what further help I can be.

    Regards
    Mark

     
  • David Relson
    David Relson
    2003-12-26

    Logged In: YES
    user_id=30510

    Problem found and fixed for release 0.15.13

     
  • David Relson
    David Relson
    2003-12-26

    • status: open --> closed